org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec.BLOCKQUOTE

- All Superinterfaces:
    HamletSpec._, HamletSpec._Block, HamletSpec._Child, HamletSpec._FieldSet, HamletSpec._Form, HamletSpec._Script, HamletSpec.Attrs, HamletSpec.Block, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.Heading, HamletSpec.I18nAttrs, HamletSpec.Listing, HamletSpec.Preformatted
  All Known Implementing Classes:
    Hamlet.BLOCKQUOTE
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.BLOCKQUOTE
      extends HamletSpec.Attrs, HamletSpec.Block, HamletSpec._Script, HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.BLOCKQUOTE` | `$cite(String uri)` URI for source document or msg

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.CoreAttrs

      `$class, $id, $style, $title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.EventsAttrs

      `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Block

      `_, address, address, blockquote, bq, div, div, dl, dl, hr, hr, p, p, table, table`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Heading

      `h1, h1, h1, h2, h2, h2, h3, h3, h3, h4, h4, h4, h5, h5, h5, h6, h6, h6`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Listing

      `ol, ol, ul, ul`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Preformatted

      `pre, pre`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Form

      `form, form`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._FieldSet

      `fieldset, fieldset`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Script

      `script, script`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Method Detail

    - #### $cite

          HamletSpec.BLOCKQUOTE $cite(String uri)

      URI for source document or msg
      Parameters:
        `uri` - the URI
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.